## EvHistory EvHistory — |

## Synopsis

                EvHistoryPrivate;
                EvHistory;
    EvHistory*  ev_history_new                  (void);
    void        ev_history_add_link             (EvHistory *history,
                                                 EvLink *linkk);
    EvLink*     ev_history_get_link_nth         (EvHistory *history,
                                                 int index);
    int         ev_history_get_n_links          (EvHistory *history);

## Description

## Details

### EvHistoryPrivate

    typedef struct _EvHistoryPrivate EvHistoryPrivate;

### EvHistory

    typedef struct {
    	GObject parent;
    } EvHistory;

### ev_history_new ()

    EvHistory*  ev_history_new                  (void);

Returns : |

### ev_history_add_link ()

    void        ev_history_add_link             (EvHistory *history,
                                                 EvLink *linkk);

`history` : |
`linkk` : |

### ev_history_get_link_nth ()

    EvLink*     ev_history_get_link_nth         (EvHistory *history,
                                                 int index);

`history` : |
`index` : |
Returns : |

### ev_history_get_n_links ()

    int         ev_history_get_n_links          (EvHistory *history);

`history` : |
Returns : |